package com.qmth.teachcloud.report.business.service;

import com.qmth.teachcloud.report.business.bean.result.CollegeAndSchoolGradeDistributionResult;
import com.qmth.teachcloud.report.business.bean.result.CourseInfoResult;
import com.qmth.teachcloud.report.business.bean.result.DimensionAnalyzeResult;
import com.qmth.teachcloud.report.business.bean.result.QuestionInfoResult;

/**
 * @Description: 教研公共服务
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/4
 */
public interface ReportCommonService {

    /**
     * 学院学科报表查询科目信息
     *
     * @param examId
     * @param courseCode
     * @param collegeId
     * @return
     */
    CourseInfoResult findCourseInfo(Long examId, String courseCode, Long collegeId);

    /**
     * 学院学科报表科目描述
     *
     * @param examId
     * @param courseCode
     * @param collegeId
     * @return
     */
    CollegeAndSchoolGradeDistributionResult findCourseDistribution(Long examId, String courseCode, Long collegeId);

    /**
     * 学院学科报表查询维度
     *
     * @param examId
     * @param courseCode
     * @param collegeId
     * @return
     */
    DimensionAnalyzeResult findDimensionInfo(Long examId, String courseCode, Long collegeId);

    /**
     * 查找题目相关
     *
     * @param examId
     * @param courseCode
     * @param collegeId
     * @return
     */
    QuestionInfoResult findSituationOfQuestions(Long examId, String courseCode, Long collegeId);

    /**
     * 查找老师信息
     *
     * @param examId
     * @param courseCode
     * @param collegeId
     * @return
     */
    Object findTeacherInfo(Long examId, String courseCode, Long collegeId);
}
